org.eclipse.incquery.runtime.rete.util

## Enum Options.NodeSharingOption

- java.lang.Object
- - java.lang.Enum<Options.NodeSharingOption>
  - - org.eclipse.incquery.runtime.rete.util.Options.NodeSharingOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Options.NodeSharingOption>
  Enclosing class:
    Options

      public static enum Options.NodeSharingOption
      extends java.lang.Enum<Options.NodeSharingOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `INDEXER_AND_REMOTEPROXY`
    `NEVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Options.NodeSharingOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Options.NodeSharingOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final Options.NodeSharingOption NEVER

    - #### INDEXER_AND_REMOTEPROXY

          public static final Options.NodeSharingOption INDEXER_AND_REMOTEPROXY

    - #### ALL

          public static final Options.NodeSharingOption ALL

  - ### Method Detail

    - #### values

          public static Options.NodeSharingOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Options.NodeSharingOption c : Options.NodeSharingOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Options.NodeSharingOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null